== Title ==

Levelset segmentation

== Description ==

Levelset-type segmentation of foreground/background using minimum regional variance energy

== Syntax ==

: <tt>[options] InputImage OutputImage </tt>

where

; <tt>InputImage</tt> : Input image path

; <tt>OutputImage</tt> : Output image path

== List of Supported Options ==

=== Global Toolkit Options (these are shared by all CMTK tools) ===

; <tt>--help</tt> : Write list of basic command line options to standard output.

; <tt>--help-all</tt> : Write complete list of basic and advanced command line options to standard output.

; <tt>--wiki</tt> : Write list of command line options to standard output in MediaWiki markup.

; <tt>--man</tt> : Write man page source in 'nroff' markup to standard output.

; <tt>--xml</tt> : Write command line syntax specification in XML markup (for Slicer integration).

; <tt>--version</tt> : Write toolkit version to standard output.

; <tt>--echo</tt> : Write the current command line to standard output.

; <tt>--verbose-level</tt> <tt><integer></tt> : Set verbosity level.

; <tt>--verbose</tt>, <tt>-v</tt> : Increment verbosity level by 1 (deprecated; supported for backward compatibility).

; <tt>--threads</tt> <tt><integer></tt> : Set maximum number of parallel threads (for POSIX threads and OpenMP).

=== Main Options ===

; <tt>--binarize</tt>, <tt>-b</tt> : Binarize levelset and write as byte mask, rather than write floating-point levelset function itself.

=== These parameters control the initialization of the levelset function ===

; <tt>--scale-initial-sphere</tt> <tt><double></tt> : Scale factor to reduce or increase the size of the initial foreground region sphere. '''[Default: 1]'''

=== These parameters control the evolution of the levelset function ===

; <tt>--iterations</tt> <tt><integer></tt>, <tt>-n</tt> <tt><integer></tt> : Maximum number of iterations '''[Default: 100]'''

; <tt>--force-iterations</tt>, <tt>-f</tt> : Force given number of iterations, even when convergence has been detected

; <tt>--filter-sigma</tt> <tt><double></tt>, <tt>-s</tt> <tt><double></tt> : Gaussian filter sigma in world coordinate units (e.g., mm) '''[Default: 2]'''

; <tt>--delta</tt> <tt><double></tt>, <tt>-d</tt> <tt><double></tt> : Time constant for levelset evolution; must be > 0; larger is faster '''[Default: 0.1]'''

; <tt>--levelset-threshold</tt> <tt><double></tt>, <tt>-t</tt> <tt><double></tt> : Levelset threshold: levelset function is truncated at +/- this value '''[Default: 1]'''

=== Image/Transformation Database ===

; <tt>--db</tt> <tt><string></tt> : Path to image/transformation database that should be updated with the newly created image. '''[Default: NONE]'''


